DELETE/api/v2/loyalty/merchants/{merchantId}/ids/{midId}

Delete a merchant ID

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
merchantId (path)unknownYesThe unique identifier of the merchant
midId (path)unknownYesThe unique identifier of the merchant ID record

Responses

204 — No Content

401 — Unauthorized

Response 401 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

404 — Not Found

Response 404 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

500 — Internal Server Error

Response 500 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

Example request

curl -X DELETE "https://{base_url}/api/v2/loyalty/merchants/{merchantId}/ids/{midId}" \
  -H "x-api-key: YOUR_API_KEY"

This page is generated from the live OpenAPI specification and always matches the current API.